Commit 23b01223 authored by Tomi Leppänen's avatar Tomi Leppänen

Merge branch 'jb46820_update_1_31' into 'master'

Update to latest upstream stable release

See merge request !13
parents 9526aeae fe5bb5c2
[submodule "upstream"]
path = upstream
url = http://git.busybox.net/busybox/
url = https://git.sailfishos.org/mirror/busybox.git
From 473e5c4022bc0e3c793063ed5002b40fca988ee3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tomi=20Lepp=C3=A4nen?= <tomi.leppanen@jolla.com>
Date: Fri, 16 Aug 2019 11:51:33 +0300
Subject: [PATCH] applets: Busybox in /usr/bin instead of /bin
---
applets/install.sh | 26 +++++++++++++-------------
1 file changed, 13 insertions(+), 13 deletions(-)
diff --git a/applets/install.sh b/applets/install.sh
index 415896893..2b73f1a02 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -60,8 +60,8 @@ if [ -n "$DO_INSTALL_LIBS" ] && [ x"$DO_INSTALL_LIBS" != x"n" ]; then
done
fi
-if [ x"$cleanup" = x"1" ] && [ -e "$prefix/bin/busybox" ]; then
- inode=`ls -i "$prefix/bin/busybox" | awk '{print $1}'`
+if [ x"$cleanup" = x"1" ] && [ -e "$prefix/usr/bin/busybox" ]; then
+ inode=`ls -i "$prefix/usr/bin/busybox" | awk '{print $1}'`
sub_shell_it=`
cd "$prefix"
for d in usr/sbin usr/bin sbin bin; do
@@ -76,9 +76,9 @@ if [ x"$cleanup" = x"1" ] && [ -e "$prefix/bin/busybox" ]; then
exit 0
fi
-rm -f "$prefix/bin/busybox" || exit 1
-mkdir -p "$prefix/bin" || exit 1
-install -m 755 busybox "$prefix/bin/busybox" || exit 1
+rm -f "$prefix/usr/bin/busybox" || exit 1
+mkdir -p "$prefix/usr/bin" || exit 1
+install -m 755 busybox "$prefix/usr/bin/busybox" || exit 1
for i in $h; do
appdir=`dirname "$i"`
@@ -93,7 +93,7 @@ for i in $h; do
ln $linkopts busybox "$prefix/$i" || exit 1
else
rm -f "$prefix/$i"
- echo "#!/bin/busybox" >"$prefix/$i"
+ echo "#!/usr/bin/busybox" >"$prefix/$i"
chmod +x "$prefix/$i"
fi
echo " $prefix/$i"
@@ -108,20 +108,20 @@ for i in $h; do
fi
else
if [ x"$linkopts" = x"-f" ]; then
- bb_path="$prefix/bin/busybox"
+ bb_path="$prefix/usr/bin/busybox"
else
case "$appdir" in
/)
- bb_path="bin/busybox"
+ bb_path="usr/bin/busybox"
;;
- /bin)
+ /usr/bin)
bb_path="busybox"
;;
- /sbin)
- bb_path="../bin/busybox"
+ /usr/sbin)
+ bb_path="../bin/busybox"
;;
- /usr/bin | /usr/sbin)
- bb_path="../../bin/busybox"
+ /bin | /sbin)
+ bb_path="../usr/bin/busybox"
;;
*)
echo "Unknown installation directory: $appdir"
--
2.21.0
#
# Automatically generated make config: don't edit
# Busybox version: 1.29.3
# Wed Nov 21 14:21:51 2018
# Busybox version: 1.31.0
# Thu Aug 15 12:48:59 2019
#
CONFIG_HAVE_DOT_CONFIG=y
#
# Settings
#
# CONFIG_DESKTOP is not set
CONFIG_DESKTOP=y
CONFIG_EXTRA_COMPAT=y
# CONFIG_FEDORA_COMPAT is not set
CONFIG_INCLUDE_SUSv2=y
......@@ -24,6 +24,7 @@ CONFIG_FEATURE_WTMP=y
CONFIG_FEATURE_PIDFILE=y
CONFIG_PID_FILE_PATH="/var/run"
CONFIG_BUSYBOX=y
CONFIG_FEATURE_SHOW_SCRIPT=y
CONFIG_FEATURE_INSTALLER=y
# CONFIG_INSTALL_NO_USR is not set
CONFIG_FEATURE_SUID=y
......@@ -33,6 +34,7 @@ CONFIG_FEATURE_SUID_CONFIG_QUIET=y
CONFIG_BUSYBOX_EXEC_PATH="/proc/self/exe"
# CONFIG_SELINUX is not set
# CONFIG_FEATURE_CLEAN_UP is not set
# CONFIG_FEATURE_SYSLOG_INFO is not set
# CONFIG_FEATURE_SYSLOG is not set
CONFIG_PLATFORM_LINUX=y
......@@ -82,7 +84,9 @@ CONFIG_NO_DEBUG_LIB=y
# Library Tuning
#
# CONFIG_FEATURE_USE_BSS_TAIL is not set
CONFIG_FLOAT_DURATION=y
# CONFIG_FEATURE_RTMINMAX is not set
# CONFIG_FEATURE_RTMINMAX_USE_LIBC_DEFINITIONS is not set
CONFIG_FEATURE_BUFFERS_USE_MALLOC=y
# CONFIG_FEATURE_BUFFERS_GO_ON_STACK is not set
# CONFIG_FEATURE_BUFFERS_GO_IN_BSS is not set
......@@ -205,6 +209,7 @@ CONFIG_FEATURE_TAR_SELINUX=y
# CONFIG_COMM is not set
# CONFIG_CP is not set
# CONFIG_FEATURE_CP_LONG_OPTIONS is not set
# CONFIG_FEATURE_CP_REFLINK is not set
# CONFIG_CUT is not set
# CONFIG_DATE is not set
# CONFIG_FEATURE_DATE_ISOFMT is not set
......@@ -232,7 +237,6 @@ CONFIG_FEATURE_TAR_SELINUX=y
# CONFIG_FACTOR is not set
# CONFIG_FALSE is not set
# CONFIG_FOLD is not set
# CONFIG_FSYNC is not set
# CONFIG_HEAD is not set
# CONFIG_FEATURE_FANCY_HEAD is not set
# CONFIG_HOSTID is not set
......@@ -283,7 +287,6 @@ CONFIG_FEATURE_TAR_SELINUX=y
# CONFIG_SHUF is not set
# CONFIG_SLEEP is not set
# CONFIG_FEATURE_FANCY_SLEEP is not set
# CONFIG_FEATURE_FLOAT_SLEEP is not set
# CONFIG_SORT is not set
# CONFIG_FEATURE_SORT_BIG is not set
# CONFIG_FEATURE_SORT_OPTIMIZE_MEMORY is not set
......@@ -296,6 +299,7 @@ CONFIG_FEATURE_TAR_SELINUX=y
# CONFIG_SUM is not set
# CONFIG_SYNC is not set
# CONFIG_FEATURE_SYNC_FANCY is not set
# CONFIG_FSYNC is not set
# CONFIG_TAC is not set
# CONFIG_TAIL is not set
# CONFIG_FEATURE_FANCY_TAIL is not set
......@@ -426,6 +430,7 @@ CONFIG_FEATURE_FIND_MTIME=y
CONFIG_FEATURE_FIND_MMIN=y
CONFIG_FEATURE_FIND_PERM=y
CONFIG_FEATURE_FIND_TYPE=y
CONFIG_FEATURE_FIND_EXECUTABLE=y
CONFIG_FEATURE_FIND_XDEV=y
CONFIG_FEATURE_FIND_MAXDEPTH=y
CONFIG_FEATURE_FIND_NEWER=y
......@@ -439,6 +444,7 @@ CONFIG_FEATURE_FIND_DEPTH=y
CONFIG_FEATURE_FIND_PAREN=y
CONFIG_FEATURE_FIND_SIZE=y
CONFIG_FEATURE_FIND_PRUNE=y
CONFIG_FEATURE_FIND_QUIT=y
CONFIG_FEATURE_FIND_DELETE=y
CONFIG_FEATURE_FIND_PATH=y
CONFIG_FEATURE_FIND_REGEX=y
......@@ -618,6 +624,7 @@ CONFIG_DEFAULT_DEPMOD_FILE=""
# CONFIG_FEATURE_MDEV_RENAME_REGEXP is not set
# CONFIG_FEATURE_MDEV_EXEC is not set
# CONFIG_FEATURE_MDEV_LOAD_FIRMWARE is not set
# CONFIG_FEATURE_MDEV_DAEMON is not set
# CONFIG_MESG is not set
# CONFIG_FEATURE_MESG_ENABLE_ONLY_GROUP is not set
# CONFIG_MKE2FS is not set
......@@ -641,6 +648,8 @@ CONFIG_MKFS_VFAT=y
# CONFIG_FEATURE_MOUNT_FSTAB is not set
# CONFIG_FEATURE_MOUNT_OTHERTAB is not set
# CONFIG_MOUNTPOINT is not set
# CONFIG_NOLOGIN is not set
# CONFIG_NOLOGIN_DEPENDENCIES is not set
# CONFIG_NSENTER is not set
# CONFIG_PIVOT_ROOT is not set
# CONFIG_RDATE is not set
......@@ -708,6 +717,12 @@ CONFIG_MKFS_VFAT=y
# CONFIG_ADJTIMEX is not set
# CONFIG_BBCONFIG is not set
# CONFIG_FEATURE_COMPRESS_BBCONFIG is not set
# CONFIG_BC is not set
# CONFIG_DC is not set
# CONFIG_FEATURE_DC_BIG is not set
# CONFIG_FEATURE_DC_LIBM is not set
# CONFIG_FEATURE_BC_INTERACTIVE is not set
# CONFIG_FEATURE_BC_LONG_OPTIONS is not set
# CONFIG_BEEP is not set
CONFIG_FEATURE_BEEP_FREQ=0
CONFIG_FEATURE_BEEP_LENGTH_MS=0
......@@ -726,8 +741,6 @@ CONFIG_FEATURE_BEEP_LENGTH_MS=0
# CONFIG_FEATURE_CROND_SPECIAL_TIMES is not set
CONFIG_FEATURE_CROND_DIR=""
# CONFIG_CRONTAB is not set
# CONFIG_DC is not set
# CONFIG_FEATURE_DC_LIBM is not set
# CONFIG_DEVFSD is not set
# CONFIG_DEVFSD_MODLOAD is not set
# CONFIG_DEVFSD_FG_NP is not set
......@@ -751,6 +764,7 @@ CONFIG_FEATURE_CROND_DIR=""
# CONFIG_I2CSET is not set
# CONFIG_I2CDUMP is not set
# CONFIG_I2CDETECT is not set
# CONFIG_I2CTRANSFER is not set
# CONFIG_INOTIFYD is not set
# CONFIG_LESS is not set
CONFIG_FEATURE_LESS_MAXLINES=0
......@@ -784,6 +798,7 @@ CONFIG_FEATURE_LESS_MAXLINES=0
# CONFIG_SETSERIAL is not set
# CONFIG_STRINGS is not set
CONFIG_TIME=y
# CONFIG_TS is not set
# CONFIG_TTYSIZE is not set
# CONFIG_UBIRENAME is not set
# CONFIG_UBIATTACH is not set
......@@ -802,6 +817,7 @@ CONFIG_FEATURE_IPV6=y
# CONFIG_FEATURE_UNIX_LOCAL is not set
# CONFIG_FEATURE_PREFER_IPV4_ADDRESS is not set
# CONFIG_VERBOSE_RESOLUTION_ERRORS is not set
# CONFIG_FEATURE_TLS_SHA1 is not set
# CONFIG_ARP is not set
CONFIG_ARPING=y
# CONFIG_BRCTL is not set
......@@ -889,6 +905,7 @@ CONFIG_FEATURE_IP_ROUTE_DIR=""
# CONFIG_NTPD is not set
# CONFIG_FEATURE_NTPD_SERVER is not set
# CONFIG_FEATURE_NTPD_CONF is not set
# CONFIG_FEATURE_NTP_AUTH is not set
CONFIG_PING=y
CONFIG_PING6=y
CONFIG_FEATURE_FANCY_PING=y
......@@ -909,6 +926,7 @@ CONFIG_FEATURE_FANCY_PING=y
# CONFIG_FEATURE_TELNETD_INETD_WAIT is not set
# CONFIG_TFTP is not set
# CONFIG_FEATURE_TFTP_PROGRESS_BAR is not set
# CONFIG_FEATURE_TFTP_HPA_COMPAT is not set
# CONFIG_TFTPD is not set
# CONFIG_FEATURE_TFTP_GET is not set
# CONFIG_FEATURE_TFTP_PUT is not set
......@@ -1118,11 +1136,13 @@ CONFIG_BASH_IS_NONE=y
#
CONFIG_FEATURE_SH_MATH=y
CONFIG_FEATURE_SH_MATH_64=y
CONFIG_FEATURE_SH_MATH_BASE=y
# CONFIG_FEATURE_SH_EXTRA_QUIET is not set
# CONFIG_FEATURE_SH_STANDALONE is not set
# CONFIG_FEATURE_SH_NOFORK is not set
CONFIG_FEATURE_SH_READ_FRAC=y
# CONFIG_FEATURE_SH_HISTFILESIZE is not set
# CONFIG_FEATURE_SH_EMBEDDED_SCRIPTS is not set
#
# System Logging Utilities
......
#
# Automatically generated make config: don't edit
# Busybox version: 1.29.3
# Wed Nov 21 14:49:38 2018
# Busybox version: 1.31.0
# Thu Aug 15 14:07:23 2019
#
CONFIG_HAVE_DOT_CONFIG=y
......@@ -24,6 +24,7 @@ CONFIG_FEATURE_WTMP=y
CONFIG_FEATURE_PIDFILE=y
CONFIG_PID_FILE_PATH="/var/run"
CONFIG_BUSYBOX=y
# CONFIG_FEATURE_SHOW_SCRIPT is not set
CONFIG_FEATURE_INSTALLER=y
# CONFIG_INSTALL_NO_USR is not set
CONFIG_FEATURE_SUID=y
......@@ -33,6 +34,7 @@ CONFIG_FEATURE_SUID_CONFIG_QUIET=y
CONFIG_BUSYBOX_EXEC_PATH="/proc/self/exe"
# CONFIG_SELINUX is not set
# CONFIG_FEATURE_CLEAN_UP is not set
CONFIG_FEATURE_SYSLOG_INFO=y
CONFIG_FEATURE_SYSLOG=y
CONFIG_PLATFORM_LINUX=y
......@@ -82,7 +84,9 @@ CONFIG_NO_DEBUG_LIB=y
# Library Tuning
#
# CONFIG_FEATURE_USE_BSS_TAIL is not set
CONFIG_FLOAT_DURATION=y
CONFIG_FEATURE_RTMINMAX=y
CONFIG_FEATURE_RTMINMAX_USE_LIBC_DEFINITIONS=y
CONFIG_FEATURE_BUFFERS_USE_MALLOC=y
# CONFIG_FEATURE_BUFFERS_GO_ON_STACK is not set
# CONFIG_FEATURE_BUFFERS_GO_IN_BSS is not set
......@@ -205,6 +209,7 @@ CONFIG_CKSUM=y
CONFIG_COMM=y
CONFIG_CP=y
CONFIG_FEATURE_CP_LONG_OPTIONS=y
CONFIG_FEATURE_CP_REFLINK=y
CONFIG_CUT=y
CONFIG_DATE=y
CONFIG_FEATURE_DATE_ISOFMT=y
......@@ -287,7 +292,6 @@ CONFIG_SHRED=y
CONFIG_SHUF=y
CONFIG_SLEEP=y
CONFIG_FEATURE_FANCY_SLEEP=y
CONFIG_FEATURE_FLOAT_SLEEP=y
CONFIG_SORT=y
CONFIG_FEATURE_SORT_BIG=y
# CONFIG_FEATURE_SORT_OPTIMIZE_MEMORY is not set
......@@ -460,6 +464,8 @@ CONFIG_FEATURE_FIND_PATH=y
CONFIG_FEATURE_FIND_REGEX=y
# CONFIG_FEATURE_FIND_CONTEXT is not set
CONFIG_FEATURE_FIND_LINKS=y
CONFIG_FEATURE_FIND_EXECUTABLE=y
CONFIG_FEATURE_FIND_QUIT=y
CONFIG_GREP=y
CONFIG_EGREP=y
CONFIG_FGREP=y
......@@ -561,7 +567,7 @@ CONFIG_MODINFO=y
# Options common to multiple modutils
#
# CONFIG_FEATURE_CMDLINE_MODULE_OPTIONS is not set
CONFIG_FEATURE_MODPROBE_SMALL_CHECK_ALREADY_LOADED=y
# CONFIG_FEATURE_MODPROBE_SMALL_CHECK_ALREADY_LOADED is not set
# CONFIG_FEATURE_2_4_MODULES is not set
# CONFIG_FEATURE_INSMOD_VERSION_CHECKING is not set
# CONFIG_FEATURE_INSMOD_KSYMOOPS_SYMBOLS is not set
......@@ -634,6 +640,7 @@ CONFIG_FEATURE_MDEV_RENAME=y
CONFIG_FEATURE_MDEV_RENAME_REGEXP=y
CONFIG_FEATURE_MDEV_EXEC=y
CONFIG_FEATURE_MDEV_LOAD_FIRMWARE=y
CONFIG_FEATURE_MDEV_DAEMON=y
CONFIG_MESG=y
CONFIG_FEATURE_MESG_ENABLE_ONLY_GROUP=y
CONFIG_MKE2FS=y
......@@ -657,6 +664,8 @@ CONFIG_FEATURE_MOUNT_FLAGS=y
CONFIG_FEATURE_MOUNT_FSTAB=y
CONFIG_FEATURE_MOUNT_OTHERTAB=y
CONFIG_MOUNTPOINT=y
# CONFIG_NOLOGIN is not set
# CONFIG_NOLOGIN_DEPENDENCIES is not set
CONFIG_NSENTER=y
CONFIG_PIVOT_ROOT=y
CONFIG_RDATE=y
......@@ -750,8 +759,12 @@ CONFIG_FEATURE_CROND_CALL_SENDMAIL=y
CONFIG_FEATURE_CROND_SPECIAL_TIMES=y
CONFIG_FEATURE_CROND_DIR="/var/spool/cron"
CONFIG_CRONTAB=y
CONFIG_BC=y
CONFIG_FEATURE_BC_INTERACTIVE=y
CONFIG_FEATURE_BC_LONG_OPTIONS=y
CONFIG_DC=y
CONFIG_FEATURE_DC_LIBM=y
CONFIG_FEATURE_DC_BIG=y
# CONFIG_FEATURE_DC_LIBM is not set
# CONFIG_DEVFSD is not set
# CONFIG_DEVFSD_MODLOAD is not set
# CONFIG_DEVFSD_FG_NP is not set
......@@ -775,6 +788,7 @@ CONFIG_I2CGET=y
CONFIG_I2CSET=y
CONFIG_I2CDUMP=y
CONFIG_I2CDETECT=y
CONFIG_I2CTRANSFER=y
# CONFIG_INOTIFYD is not set
CONFIG_LESS=y
CONFIG_FEATURE_LESS_MAXLINES=9999999
......@@ -808,6 +822,7 @@ CONFIG_SETFATTR=y
CONFIG_SETSERIAL=y
CONFIG_STRINGS=y
CONFIG_TIME=y
# CONFIG_TS is not set
CONFIG_TTYSIZE=y
CONFIG_UBIRENAME=y
CONFIG_UBIATTACH=y
......@@ -826,6 +841,7 @@ CONFIG_FEATURE_IPV6=y
# CONFIG_FEATURE_UNIX_LOCAL is not set
CONFIG_FEATURE_PREFER_IPV4_ADDRESS=y
# CONFIG_VERBOSE_RESOLUTION_ERRORS is not set
# CONFIG_FEATURE_TLS_SHA1 is not set
CONFIG_ARP=y
CONFIG_ARPING=y
CONFIG_BRCTL=y
......@@ -913,6 +929,7 @@ CONFIG_FEATURE_NSLOOKUP_LONG_OPTIONS=y
CONFIG_NTPD=y
CONFIG_FEATURE_NTPD_SERVER=y
CONFIG_FEATURE_NTPD_CONF=y
CONFIG_FEATURE_NTP_AUTH=y
CONFIG_PING=y
CONFIG_PING6=y
CONFIG_FEATURE_FANCY_PING=y
......@@ -933,11 +950,8 @@ CONFIG_FEATURE_TELNETD_STANDALONE=y
CONFIG_FEATURE_TELNETD_INETD_WAIT=y
CONFIG_TFTP=y
CONFIG_FEATURE_TFTP_PROGRESS_BAR=y
CONFIG_FEATURE_TFTP_HPA_COMPAT=y
CONFIG_TFTPD=y
#
# Common options for tftp/tftpd
#
CONFIG_FEATURE_TFTP_GET=y
CONFIG_FEATURE_TFTP_PUT=y
CONFIG_FEATURE_TFTP_BLOCKSIZE=y
......@@ -1146,11 +1160,13 @@ CONFIG_HUSH_GETOPTS=y
#
CONFIG_FEATURE_SH_MATH=y
CONFIG_FEATURE_SH_MATH_64=y
CONFIG_FEATURE_SH_MATH_BASE=y
CONFIG_FEATURE_SH_EXTRA_QUIET=y
# CONFIG_FEATURE_SH_STANDALONE is not set
# CONFIG_FEATURE_SH_NOFORK is not set
CONFIG_FEATURE_SH_READ_FRAC=y
CONFIG_FEATURE_SH_HISTFILESIZE=y
CONFIG_FEATURE_SH_EMBEDDED_SCRIPTS=y
#
# System Logging Utilities
......
Summary: Single binary providing simplified versions of system commands
Name: busybox
Version: 1.29.3
Version: 1.31.0
Release: 1
License: GPLv2
Group: System/Shells
Source0: http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2
Source1: rpm/udhcpd.service
Source2: busybox-static.config
Source3: busybox-sailfish.config
Patch0: 0001-Copy-extended-attributes-if-p-flag-is-provided-to-cp.patch
URL: https://github.com/mer-packages/busybox
Patch1: 0002-applets-Busybox-in-usr-bin-instead-of-bin.patch
URL: https://git.sailfishos.org/mer-core/busybox
Obsoletes: time <= 1.7
Provides: time > 1.7
......@@ -30,7 +30,6 @@ particularly those involving broken shared libraries.
%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-docs
......@@ -38,7 +37,6 @@ Obsoletes: %{name}-docs
Busybox user guide.
%package static
Group: System Environment/Shells
Summary: Statically linked version of busybox
%description static
......@@ -50,7 +48,6 @@ a statically linked version of Busybox.
%package symlinks-dosfstools
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for dosfstools
%description symlinks-dosfstools
......@@ -62,7 +59,6 @@ is the symlinks implementing part of dosfstools.
%package symlinks-gzip
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for gzip
Provides: gzip = %{version}
Obsoletes: gzip <= 1.5
......@@ -76,7 +72,6 @@ is the symlinks implementing gzip replacements.
%package symlinks-dhcp
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox dhcp utilities
%description symlinks-dhcp
......@@ -88,7 +83,6 @@ the symlinks implementing the dhcp utilities (udhcpc/udhcpcd).
%package symlinks-diffutils
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for diffutils
Provides: diffutils = %{version}
Conflicts: gnu-diffutils
......@@ -102,7 +96,6 @@ is the symlinks implementing part of diffutils replacements.
%package symlinks-findutils
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for findutils
Provides: findutils = %{version}
Conflicts: gnu-findutils
......@@ -116,7 +109,6 @@ is the symlinks implementing findutils replacements.
%package symlinks-grep
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for grep
Provides: grep = %{version}
Provides: /bin/grep
......@@ -131,7 +123,6 @@ is the symlinks implementing grep, egrep and fgrep replacements.
%package symlinks-cpio
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for cpio
Provides: cpio
Conflicts: gnu-cpio
......@@ -145,7 +136,6 @@ the symlinks implementing cpio replacements.
%package symlinks-tar
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for tar
Provides: tar = %{version}
Conflicts: gnu-tar
......@@ -159,7 +149,6 @@ is the symlink implementing tar replacement.
%package symlinks-which
Requires: %{name} = %{version}-%{release}
Group: System/Shells
Summary: Busybox replacements for which
Provides: which = %{version}
Conflicts: util-linux <= 2.33+git1
......@@ -174,6 +163,7 @@ is the symlink implementing which replacement.
%prep
%setup -q -n %{name}-%{version}/upstream
%patch0 -p1
%patch1 -p1
%build
# TODO: This config should be synced with the dynamic config at some point
......@@ -193,11 +183,21 @@ cp %{SOURCE3} .config
yes "" | make oldconfig
make %{_smp_mflags}
make busybox.links
# /bin links are legacy, use /usr/bin whenever you can
cat >> busybox.links << EOF
/bin/busybox
%{_bindir}/ping
%{_bindir}/ping6
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.vfat
%{_bindir}/gzip
%{_bindir}/gunzip
/usr/sbin/udhcpc
%{_bindir}/zcat
%{_sbindir}/udhcpc
/bin/find
%{_bindir}/grep
%{_bindir}/egrep
%{_bindir}/fgrep
%{_bindir}/cpio
%{_bindir}/tar
EOF
......@@ -205,30 +205,36 @@ EOF
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/bin
install -m 755 busybox %{buildroot}/bin/busybox
mkdir -p %{buildroot}/usr/bin
install -m 755 busybox %{buildroot}/usr/bin/busybox
install -m 644 -D %{SOURCE1} %{buildroot}/lib/systemd/system/udhcpd.service
applets/install.sh %{buildroot} --symlinks
rm -f %{buildroot}/sbin/udhcpc
install -m 755 busybox-static %{buildroot}/bin/busybox-static
install -m 755 busybox-static %{buildroot}/usr/bin/busybox-static
ln -s ../usr/bin/busybox-static %{buildroot}/bin/busybox-static
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 -t %{buildroot}/%{_docdir}/%{name}-%{version} \
docs/BusyBox.html docs/BusyBox.txt
docs/BusyBox.html docs/BusyBox.txt
%files
%defattr(-,root,root,-)
%license LICENSE
/bin/busybox
%{_bindir}/busybox
/bin/ping
%{_bindir}/ping
/bin/ping6
%{_bindir}/ping6
%{_bindir}/time
%{_bindir}/traceroute
%{_bindir}/traceroute6
/usr/sbin/arping
%{_sbindir}/arping
%files static
%defattr(-,root,root,-)
/bin/busybox-static
%{_bindir}/busybox-static
%files doc
%defattr(-,root,root,-)
......@@ -237,7 +243,9 @@ install -m 644 -t %{buildroot}/%{_docdir}/%{name}-%{version} \
%files symlinks-dosfstools
%defattr(-,root,root,-)
/sbin/mkdosfs
%{_sbindir}/mkdosfs
/sbin/mkfs.vfat
%{_sbindir}/mkfs.vfat
%files symlinks-gzip
%defattr(-,root,root,-)
......@@ -246,11 +254,12 @@ install -m 644 -t %{buildroot}/%{_docdir}/%{name}-%{version} \
/bin/gzip
%{_bindir}/gzip
/bin/zcat
%{_bindir}/zcat
%files symlinks-dhcp
%defattr(-,root,root,-)
/usr/sbin/udhcpc
/usr/sbin/udhcpd
%{_sbindir}/udhcpc
%{_sbindir}/udhcpd
/lib/systemd/system/udhcpd.service
%files symlinks-diffutils
......@@ -267,18 +276,21 @@ install -m 644 -t %{buildroot}/%{_docdir}/%{name}-%{version} \
%files symlinks-grep
%defattr(-,root,root,-)
/bin/grep
%{_bindir}/grep
/bin/egrep
%{_bindir}/egrep
/bin/fgrep
%{_bindir}/fgrep
%files symlinks-cpio
%defattr(-,root,root,-)
%{_bindir}/cpio
/bin/cpio
%{_bindir}/cpio
%files symlinks-tar
%defattr(-,root,root,-)
%{_bindir}/tar
/bin/tar
%{_bindir}/tar
%files symlinks-which
%defattr(-,root,root,-)
......
Subproject commit b84194b133212aca64605d1cd0cf771720bc0d94
Subproject commit 0f1369f0c5b6f0570208f9e5b5cec2b860f23088
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment